When swapping from express to full, on a large assembly, i experience that UCS appears on all parts. How can i remove this?
And this is the view in express mode:
Solved! Go to Solution.
Solved by Gabriel_Watson. Go to Solution.
Those look like Center of Gravity glyphs, not UCS.
You may have to open/activate EVERY subcomponent (part and assembly) under your main assembly and unselect "Center of Gravity" under the View Tab:
You can use the following iLogic code in your main assembly to remove all of those in subcomponents:
Dim oDoc As Document = ThisApplication.ActiveDocument
Dim cmd As ButtonDefinition = ThisApplication.CommandManager.ControlDefinitions.Item("AppCenterOfGravityCmd")
If cmd.Pressed Then cmd.Execute
For Each aDoc As Document In oDoc.AllReferencedDocuments
Dim bDoc As Document = ThisApplication.Documents.Open(aDoc.FullFileName, False)
cmd = ThisApplication.CommandManager.ControlDefinitions.Item("AppCenterOfGravityCmd")
If cmd.Pressed Then cmd.Execute
bDoc.Save()
bDoc.Close()
Next
EDIT:
If you are using Inventor 2018, consider updating the software to fix a known bug that causes the same issue:
https://forums.autodesk.com/t5/inventor-forum/cog-problem-has-been-solved/m-p/7905839#M689528
CAD and PLM admin | My ideas | Inventor-Vault Expert GPT (my AI brain)
Thank you! I will try the code, and hope it saves me from changing them all manually
Update: I got some errors when running the ilogic rule, but the icons disappeared and everything looks good. Thank you for helping me out 🙂
(i am using inventor 2021 if that is relevant)
Can't find what you're looking for? Ask the community or share your knowledge.